export const isClient = !!window.ipcRenderer; // process.env.IS_CLIENT;

const safeCall = (f: (...args: any[]) => any) => (isClient ? f : () => {});

const ipcRenderer = window.ipcRenderer;

if (isClient) {
  window.addIpcRendererListener('socket:on-message', (_, message) => {
    console.log('receive electron socket message:', message);
  });
}
